Loading...
Searching...
No Matches
icu::SimpleNumberFormatFactory Class Reference

A NumberFormatFactory that supports a single locale. More...

`#include <numfmt.h>`

Inheritance diagram for icu::SimpleNumberFormatFactory:

## Public Member Functions

| SimpleNumberFormatFactory (const Locale &locale, UBool visible=true)
virtual | ~SimpleNumberFormatFactory ()
virtual UBool | visible () const override
virtual const UnicodeString * | getSupportedIDs (int32_t &count, UErrorCode &status) const override
Public Member Functions inherited from icu::NumberFormatFactory
virtual | ~NumberFormatFactory ()
| Destructor.
virtual NumberFormat * | createFormat (const Locale &loc, UNumberFormatStyle formatType)=0
| Return a number format of the appropriate type.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Protected Attributes

const UBool | _visible
| True if the locale supported by this factory is visible.
UnicodeString | _id
| The locale supported by this factory, as a UnicodeString.

## Detailed Description

A NumberFormatFactory that supports a single locale.

It can be visible or invisible.

Stable
  ICU 2.6

Definition at line 1228 of file numfmt.h.

## Constructor & Destructor Documentation

## SimpleNumberFormatFactory()

icu::SimpleNumberFormatFactory::SimpleNumberFormatFactory | ( | const Locale & | locale,
|  | UBool | visible = true )

Stable
  ICU 2.6

References visible().

## ~SimpleNumberFormatFactory()

virtual icu::SimpleNumberFormatFactory::~SimpleNumberFormatFactory | ( |  | ) |

virtual

Stable
  ICU 3.0

## Member Function Documentation

## getSupportedIDs()

virtual const UnicodeString * icu::SimpleNumberFormatFactory::getSupportedIDs | ( | int32_t & | count,
|  | UErrorCode & | status ) const

override virtual

Stable
  ICU 2.6

Implements icu::NumberFormatFactory.

## visible()

virtual UBool icu::SimpleNumberFormatFactory::visible | ( |  | ) | const

override virtual

Stable
  ICU 2.6

Implements icu::NumberFormatFactory.

Referenced by SimpleNumberFormatFactory().

## Field Documentation

## _id

UnicodeString icu::SimpleNumberFormatFactory::_id

protected

The locale supported by this factory, as a UnicodeString.

Stable
  ICU 2.6

Definition at line 1240 of file numfmt.h.

## _visible

const UBool icu::SimpleNumberFormatFactory::_visible

protected

True if the locale supported by this factory is visible.

Stable
  ICU 2.6

Definition at line 1234 of file numfmt.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numfmt.h